Bug 1017766 - Review Request: google-crosextra-caladea-fonts - Sans-serif font metric-compatible with Cambria font
Review Request: google-crosextra-caladea-fonts - Sans-serif font metric-compa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yohan Graterol
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1018016 1025629
  Show dependency treegraph
 
Reported: 2013-10-10 09:19 EDT by Parag Nemade
Modified: 2014-01-18 13:20 EST (History)
5 users (show)

See Also:
Fixed In Version: google-crosextra-caladea-fonts-1.002-0.2.20130214.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-26 23:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yohangraterol92: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2013-10-10 09:19:42 EDT
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/caladea-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/caladea-fonts-1.002-0.1.20130214.fc20.src.rpm
Description: Caladea is metric-compatible with Cambria. This font is sanserif typeface family based on Lato.

Fedora Account System Username: pnemade
Comment 1 Parag Nemade 2013-10-10 09:22:05 EDT
https://fedoraproject.org/wiki/Caladea_fonts
Comment 3 Parag Nemade 2013-10-10 11:51:27 EDT
updated font information page -> https://fedoraproject.org/wiki/Google_Caladea_fonts
Comment 4 Jens Petersen 2013-10-10 21:04:22 EDT
Just a comment/thought on the naming: we have google-croscore-fonts already.
Would it make sense to name this google-crosextra-caladea-fonts?
Well I dunno the upstream tarball is not so precisely named...
but this crossed my mind anyway.
Comment 5 Yohan Graterol 2013-10-10 22:50:47 EDT
I think than the Jens idea is good. Parag, can u rename "google-caladea-fonts", for "google-croscore-caladea-fonts", for keep the family name.
Comment 7 Nicolas Mailhot 2013-10-11 02:10:20 EDT
BTW
1. sans-serif is written with two s in the middle
2. how complete are the fonts? If they don't have about the same unicode coverage as the ms ones, it should be indicated in the summary
Comment 8 Parag Nemade 2013-10-11 04:30:29 EDT
1) right. I just copied the inside font information as summary initially which is now fixed above.
2) Camibra font coverage
$ fontaine Cambria.ttf | grep characterCount
    "characterCount":"3231"
$ fontaine Caladea-Regular.ttf | grep characterCount
    "characterCount":"417"

How should we add in summary about this? ms Camibra font is having large character/unicode coverage.
Comment 9 Parag Nemade 2013-10-11 13:33:46 EDT
Yohan,
   Can you check recent update above for the review of this package?
Comment 10 Yohan Graterol 2013-10-11 13:59:49 EDT
Of course, now I'm at the work. Please, wait tomorrow when I will be at my house. Excuse me Parag.
Comment 11 Parag Nemade 2013-10-11 22:55:16 EDT
Thanks for your quick reply.
Comment 12 Yohan Graterol 2013-10-14 01:12:36 EDT
Parag, I want know when is the license file? Can you provide the license from upstream?

The review is ok, but I need ask you about of license file.
Comment 13 Parag Nemade 2013-10-14 01:21:27 EDT
When upstream does not provide license of the project in its own text file then we can see inside source files as well as upstream url.

1) $otfinfo -i Caladea-*.ttf | grep License
Caladea-BoldItalic.ttf:License URL:         http://www.apache.org/licenses/LICENSE-2.0
Caladea-BoldItalic.ttf:License Description: Licensed under the Apache License, Version 2.0
Caladea-Bold.ttf:License URL:         http://www.apache.org/licenses/LICENSE-2.0
Caladea-Bold.ttf:License Description: Licensed under the Apache License, Version 2.0
Caladea-Italic.ttf:License URL:         http://www.apache.org/licenses/LICENSE-2.0
Caladea-Italic.ttf:License Description: Licensed under the Apache License, Version 2.0
Caladea-Regular.ttf:License URL:         http://www.apache.org/licenses/LICENSE-2.0
Caladea-Regular.ttf:License Description: Licensed under the Apache License, Version 2.0

2) Upstream URL http://code.google.com/p/chromium/issues/detail?id=168879 but there is no mention of license but if you see the Carlito font URL http://code.google.com/p/chromium/issues/detail?id=280557 then there you will find the text
"Carlito is licensed under OFL 1.1 and cannot be bundled into
the crosextrafonts package with Caladea licensed under Apache."

So using both above references one can conclude license for this Caladea font is ASL 2.0
Comment 14 Yohan Graterol 2013-10-14 01:37:24 EDT
Of course, perfect.

Don't worry for the warnings.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: google-crosextra-caladea-fonts-1.002-0.1.20130214.fc21.noarch.rpm
          google-crosextra-caladea-fonts-1.002-0.1.20130214.fc21.src.rpm
google-crosextra-caladea-fonts.noarch: W: no-documentation
google-crosextra-caladea-fonts.src: W: invalid-url Source0: http://gsdview.appspot.com/chromeos-localmirror/distfiles/crosextrafonts-20130214.tar.gz HTTP Error 405: Method Not Allowed
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint google-crosextra-caladea-fonts
google-crosextra-caladea-fonts.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
google-crosextra-caladea-fonts (rpmlib, GLIBC filtered):
    /bin/sh
    config(google-crosextra-caladea-fonts)
    fontpackages-filesystem



Provides
--------
google-crosextra-caladea-fonts:
    config(google-crosextra-caladea-fonts)
    font(:lang=aa)
    font(:lang=af)
    font(:lang=an)
    font(:lang=ay)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=bs)
    font(:lang=ca)
    font(:lang=ch)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=cy)
    font(:lang=da)
    font(:lang=de)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gn)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=jv)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kl)
    font(:lang=ku-tr)
    font(:lang=kwm)
    font(:lang=la)
    font(:lang=lb)
    font(:lang=lg)
    font(:lang=li)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=rw)
    font(:lang=sc)
    font(:lang=se)
    font(:lang=sg)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=smn)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wen)
    font(:lang=wo)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(caladea)
    google-crosextra-caladea-fonts

------------------------------------
PACKAGE APPROVED
------------------------------------
Comment 15 Parag Nemade 2013-10-14 01:40:19 EDT
Thank you for the review.
Comment 16 Yohan Graterol 2013-10-14 01:41:41 EDT
You're welcome! :)
Comment 17 Parag Nemade 2013-10-14 01:42:26 EDT
New Package SCM Request
=======================
Package Name: google-crosextra-caladea-fonts
Short Description: Sans-serif font metric-compatible with Cambria font
Owners: pnemade
Branches: f20 f19 
InitialCC: fonts-sig i18n-team
Comment 18 Gwyn Ciesla 2013-10-14 08:43:52 EDT
Git done (by process-git-requests).
Comment 19 Fedora Update System 2013-10-14 11:12:04 EDT
google-crosextra-caladea-fonts-1.002-0.1.20130214.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/google-crosextra-caladea-fonts-1.002-0.1.20130214.fc20
Comment 20 Fedora Update System 2013-10-14 11:18:40 EDT
google-crosextra-caladea-fonts-1.002-0.1.20130214.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/google-crosextra-caladea-fonts-1.002-0.1.20130214.fc19
Comment 21 Fedora Update System 2013-10-14 15:19:16 EDT
google-crosextra-caladea-fonts-1.002-0.1.20130214.fc20 has been pushed to the Fedora 20 testing repository.
Comment 22 Jens Petersen 2013-10-14 22:02:17 EDT
(In reply to Parag from comment #13)
> When upstream does not provide license of the project in its own text file
> then we can see inside source files as well as upstream url.
:
> So using both above references one can conclude license for this Caladea
> font is ASL 2.0

It would be good to add such comments also to the spec file before
the License field I feel.  (This could be done initially in rawhide.)
Comment 23 Fedora Update System 2013-10-26 23:54:22 EDT
google-crosextra-caladea-fonts-1.002-0.1.20130214.fc19 has been pushed to the Fedora 19 stable repository.
Comment 24 Fedora Update System 2013-10-27 01:30:27 EDT
google-crosextra-caladea-fonts-1.002-0.1.20130214.fc19 has been pushed to the Fedora 19 stable repository.
Comment 25 Fedora Update System 2013-11-10 02:30:08 EST
google-crosextra-caladea-fonts-1.002-0.1.20130214.fc20 has been pushed to the Fedora 20 stable repository.
Comment 26 Parag Nemade 2013-12-03 01:05:33 EST
Package Change Request
======================
Package Name: google-crosextra-caladea-fonts
New Branches: f18
Owners: pnemade
Comment 27 Gwyn Ciesla 2013-12-03 07:56:59 EST
Git done (by process-git-requests).
Comment 28 Parag Nemade 2014-01-01 22:38:46 EST
Package Change Request
======================
Package Name: google-crosextra-caladea-fonts
New Branches: el6
Owners: pnemade
Comment 29 Jens Petersen 2014-01-02 07:14:04 EST
Git done (by process-git-requests).
Comment 30 Fedora Update System 2014-01-02 09:08:00 EST
google-crosextra-caladea-fonts-1.002-0.2.20130214.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/google-crosextra-caladea-fonts-1.002-0.2.20130214.el6
Comment 31 Fedora Update System 2014-01-18 13:20:38 EST
google-crosextra-caladea-fonts-1.002-0.2.20130214.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.